Skip to main content
GET
List all products

Authorizations

Authorization
string
header
required

Access token

Headers

x-customer-group-id
string

This param is used to determine product pricing, promotions, and subscription rates. If a valid customer group id is provided, pricing details will be retrieved accordingly. If no matching data is found for the specified customer group id, the system will fall back to the default customer group id. If no data is found for the default group either, the highest applicable price will be returned.

Query Parameters

page
integer
default:1

Page number, from 1.

Required range: x >= 1
limit
integer
default:25

Number of results per page.

Required range: 1 <= x <= 100
attribute_id
string[]

Filter by attribute IDs.

category_id
string[]

filter products by categories ids

category_slug
string[]

filter products by categories slugs

product_id
string[]

Filter by product IDs.

product_type
enum<string>[]

Filter by product type.

Available options:
physical,
digital,
bundle
sort_by
string

Sort by product fields such as name, created_at, modified_at, reviews_count or reviews_rating_sum, using a JSON object of field names and asc or desc values.

Example:

"{\"name\":\"asc\"}"

Response

Success response

message
string
required
Example:

"Products retrieved successfully."

success
boolean
required
content
object
required